import sdtcloudpubsub
import time
import uuid
import random

sdtcloud = sdtcloudpubsub.sdtcloudpubsub()
sdtcloud.setClient(f"device-app-{uuid.uuid1()}") # parameter is client ID(string)

def runAction():
    while True:
        msg = [{
            "room_id": "room1",
            "sensor": "temp",
            "value": random.randint(18, 27)
        },
        {
            "room_id": "room2",
            "sensor": "temp",
            "value": random.randint(18, 27)
            
        }]
        sdtcloud.pubMessage(msg)
        time.sleep(2)

if __name__ == "__main__":
    runAction()
	
